/*******************************************
Demo code for testing seven segment
display module WHMXE-595-2
********************************************
HOMS
Hardware-Oriented Microprocessor
Simulator
(C) Panayotis (Panos) Papazoglou
LICENSE: 
Creative Commons
CC BY NC SA
International License
********************************************/

//Arduino pins for module connections
#define Data 2
#define Clock 3
#define Load 4

/*******************************************
Segment activation map
for one digit in hexadecimal (0 to f)
0=active
********************************************/
byte hex[16]=
{
   0b00000011,  //0
   0b10011111,  //1
   0b00100101,  //2
   0b00001101,  //3
   0b10011001,  //4
   0b01001001,  //5
   0b01000001,  //6
   0b00011111,  //7
   0b00000001,  //8
   0b00001001,  //9
   0b00010001,  //a
   0b11000001,  //b
   0b11100101,  //c
   0b10000101,  //d
   0b01100001,  //e
   0b01110001   //f

};


void setup()
{
  //Initialize pins
  pinMode(Data,OUTPUT);
  pinMode(Clock,OUTPUT);
  pinMode(Load, OUTPUT);



}


void loop()
{
//Display a counter 
//from 00 to FF
  
  for(int L=0;L<16;L++) //Left digit
  {
  for(int R=0;R<16;R++) //Right diit
{
  digitalWrite(Load,LOW);
  shiftOut(Data,Clock, LSBFIRST, hex[R]);
  shiftOut(Data,Clock, LSBFIRST, hex[L]);
  digitalWrite(Load,HIGH);
  delay(100);
}
  }
  delay(5000);

}